package com.eviware.soapui.impl.wsdl.teststeps;

import java.util.ArrayList;
import java.util.List;

import com.eviware.soapui.model.iface.MessageExchange;
import com.eviware.soapui.model.testsuite.MessageExchangeTestStepResult;

public class WsdlMessageExchangeTestStepResult extends WsdlTestStepResult implements MessageExchangeTestStepResult
{
	private List<MessageExchange> exchanges = new ArrayList<MessageExchange>();
	
	public WsdlMessageExchangeTestStepResult( WsdlTestStep testStep )
	{
		super( testStep );
	}

	public MessageExchange[] getMessageExchanges()
	{
		return exchanges.toArray( new MessageExchange[exchanges.size()] );
	}
	
	public void addMessageExchange( MessageExchange messageExchange )
	{
		exchanges.add( messageExchange );
	}
	
	public void addMessages( MessageExchange[] messageExchanges )
	{
		for( MessageExchange messageExchange : messageExchanges )
			exchanges.add( messageExchange );
	}

	@Override
	public void discard()
	{
		super.discard();
		
		exchanges = null;
	}
}
