/*
 * soapUI Pro, copyright (C) 2007 eviware software ab 
 */
 
package com.eviware.soapui.support.propertyexpansion;

import java.awt.Point;

import com.eviware.soapui.model.ModelItem;
import com.eviware.soapui.model.propertyexpansion.PropertyExpansion;
import com.eviware.soapui.support.xml.JXEditTextArea;

public class JXEditTextAreaPropertyExpansionTarget extends AbstractPropertyExpansionTarget
{
	private final JXEditTextArea textField;

	public JXEditTextAreaPropertyExpansionTarget( JXEditTextArea textField, ModelItem modelItem )
	{
		super( modelItem );
		this.textField = textField;
	}

	public void insertPropertyExpansion( PropertyExpansion expansion, Point pt )
	{
		int pos = pt == null ? -1 : textField.pointToOffset( pt );
		if( pos == -1 )
			pos = textField.getCaretPosition();
		
		textField.setSelectedText( expansion.toString() );
		
		if( pos >= 0 )
		{
			textField.setCaretPosition( pos );
			textField.requestFocusInWindow();
		}
	}

	public String getValueForCreation()
	{
		return textField.getSelectedText();
	}

	public String getNameForCreation()
	{
		return textField.getName();
	}
}